--
-- PostgreSQL database dump
--

-- Dumped from database version 9.0.2
-- Dumped by pg_dump version 9.0.2
-- Started on 2011-01-14 05:49:10

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 7 (class 2615 OID 16393)
-- Name: navitest; Type: SCHEMA; Schema: -; Owner: navitest
--

CREATE SCHEMA navitest;


ALTER SCHEMA navitest OWNER TO navitest;

SET search_path = navitest, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1505 (class 1259 OID 16396)
-- Dependencies: 7
-- Name: category; Type: TABLE; Schema: navitest; Owner: navitest; Tablespace: 
--

CREATE TABLE category (
    id bigint NOT NULL,
    category_name character varying(100)
);


ALTER TABLE navitest.category OWNER TO navitest;

--
-- TOC entry 1798 (class 0 OID 0)
-- Dependencies: 1505
-- Name: TABLE category; Type: COMMENT; Schema: navitest; Owner: navitest
--

COMMENT ON TABLE category IS 'Категория товаров';


--
-- TOC entry 1504 (class 1259 OID 16394)
-- Dependencies: 1505 7
-- Name: category_id_seq; Type: SEQUENCE; Schema: navitest; Owner: navitest
--

CREATE SEQUENCE category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE navitest.category_id_seq OWNER TO navitest;

--
-- TOC entry 1799 (class 0 OID 0)
-- Dependencies: 1504
-- Name: category_id_seq; Type: SEQUENCE OWNED BY; Schema: navitest; Owner: navitest
--

ALTER SEQUENCE category_id_seq OWNED BY category.id;


--
-- TOC entry 1800 (class 0 OID 0)
-- Dependencies: 1504
-- Name: category_id_seq; Type: SEQUENCE SET; Schema: navitest; Owner: navitest
--

SELECT pg_catalog.setval('category_id_seq', 17, true);


--
-- TOC entry 1507 (class 1259 OID 16404)
-- Dependencies: 7
-- Name: product; Type: TABLE; Schema: navitest; Owner: navitest; Tablespace: 
--

CREATE TABLE product (
    id bigint NOT NULL,
    product_name character varying(120) NOT NULL,
    category_id bigint NOT NULL,
    description character varying(255),
    price numeric(12,2)
);


ALTER TABLE navitest.product OWNER TO navitest;

--
-- TOC entry 1801 (class 0 OID 0)
-- Dependencies: 1507
-- Name: TABLE product; Type: COMMENT; Schema: navitest; Owner: navitest
--

COMMENT ON TABLE product IS 'Товары';


--
-- TOC entry 1506 (class 1259 OID 16402)
-- Dependencies: 1507 7
-- Name: product_id_seq; Type: SEQUENCE; Schema: navitest; Owner: navitest
--

CREATE SEQUENCE product_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE navitest.product_id_seq OWNER TO navitest;

--
-- TOC entry 1802 (class 0 OID 0)
-- Dependencies: 1506
-- Name: product_id_seq; Type: SEQUENCE OWNED BY; Schema: navitest; Owner: navitest
--

ALTER SEQUENCE product_id_seq OWNED BY product.id;


--
-- TOC entry 1803 (class 0 OID 0)
-- Dependencies: 1506
-- Name: product_id_seq; Type: SEQUENCE SET; Schema: navitest; Owner: navitest
--

SELECT pg_catalog.setval('product_id_seq', 15, true);


--
-- TOC entry 1785 (class 2604 OID 16422)
-- Dependencies: 1504 1505 1505
-- Name: id; Type: DEFAULT; Schema: navitest; Owner: navitest
--

ALTER TABLE category ALTER COLUMN id SET DEFAULT nextval('category_id_seq'::regclass);


--
-- TOC entry 1786 (class 2604 OID 16446)
-- Dependencies: 1507 1506 1507
-- Name: id; Type: DEFAULT; Schema: navitest; Owner: navitest
--

ALTER TABLE product ALTER COLUMN id SET DEFAULT nextval('product_id_seq'::regclass);


--
-- TOC entry 1794 (class 0 OID 16396)
-- Dependencies: 1505
-- Data for Name: category; Type: TABLE DATA; Schema: navitest; Owner: navitest
--

INSERT INTO category (id, category_name) VALUES (13, 'Mother Board');
INSERT INTO category (id, category_name) VALUES (14, 'CPU');
INSERT INTO category (id, category_name) VALUES (15, 'RAM');
INSERT INTO category (id, category_name) VALUES (16, 'HDD');
INSERT INTO category (id, category_name) VALUES (17, 'CASE');


--
-- TOC entry 1795 (class 0 OID 16404)
-- Dependencies: 1507
-- Data for Name: product; Type: TABLE DATA; Schema: navitest; Owner: navitest
--

INSERT INTO product (id, product_name, category_id, description, price) VALUES (10, 'EliteGroup  G31', 13, 'LGA775, DDRII1066, PCIExp 16x, video, sound, SATA, lan, mATX', 40.00);
INSERT INTO product (id, product_name, category_id, description, price) VALUES (11, 'GigaByte GA-G41', 13, 'LGA775, DDRII1066, PCIExp 16x, video, sound, SATA, lan, mATX', 62.00);
INSERT INTO product (id, product_name, category_id, description, price) VALUES (12, 'GigaByte GA-P41', 13, 'LGA775, DDRII1066, PCIExp 16x,  sound, SATA, lan, mATX', 71.00);
INSERT INTO product (id, product_name, category_id, description, price) VALUES (13, 'Intel-DualCore 6600', 14, '3,0 Ghz, 2M, 1066, oem, LGA775', 76.00);
INSERT INTO product (id, product_name, category_id, description, price) VALUES (14, 'Intel-Core2Duo 7500', 14, '2,9 Ghz, 3M, 1066, oem, LGA775', 114.00);
INSERT INTO product (id, product_name, category_id, description, price) VALUES (15, 'Intel-Core2Quad 8300', 14, '2,33 Ghz, 4M, 1333, oem, LGA775', 142.00);


--
-- TOC entry 1788 (class 2606 OID 16424)
-- Dependencies: 1505 1505
-- Name: category_pk; Type: CONSTRAINT; Schema: navitest; Owner: navitest; Tablespace: 
--

ALTER TABLE ONLY category
    ADD CONSTRAINT category_pk PRIMARY KEY (id);


--
-- TOC entry 1791 (class 2606 OID 16448)
-- Dependencies: 1507 1507
-- Name: product_pk; Type: CONSTRAINT; Schema: navitest; Owner: navitest; Tablespace: 
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_pk PRIMARY KEY (id);


--
-- TOC entry 1789 (class 1259 OID 16434)
-- Dependencies: 1507
-- Name: product_category_id_idx; Type: INDEX; Schema: navitest; Owner: navitest; Tablespace: 
--

CREATE INDEX product_category_id_idx ON product USING btree (category_id);


--
-- TOC entry 1792 (class 1259 OID 16421)
-- Dependencies: 1507
-- Name: product_price_idx; Type: INDEX; Schema: navitest; Owner: navitest; Tablespace: 
--

CREATE INDEX product_price_idx ON product USING btree (price);


--
-- TOC entry 1793 (class 2606 OID 16435)
-- Dependencies: 1507 1787 1505
-- Name: product_category_fk; Type: FK CONSTRAINT; Schema: navitest; Owner: navitest
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_category_fk FOREIGN KEY (category_id) REFERENCES category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


-- Completed on 2011-01-14 05:49:10

--
-- PostgreSQL database dump complete
--

